# Raumplaner-Anfangsprojekt.py
# Anfangsprojekt mit Kapselung

from grafikfenster import *

from stuhl import *
from tisch import *

### ---------------------------------------------------
class RaumplanerApp(wx.App):
    """Testanwendung fuer Raumplaner-Grafik
       ShellFrame: Interaktion mit laufender Anwendung
       FillingFrame: Anzeige der Umgebung"""
    def OnInit(self):
        self.fenster = GrafikFenster(None, "Raumplaner-Grafik")
        self.SetTopWindow(self.fenster)
        self.fenster.Show(True)
        self.fenster.panel.Refresh()
        self.fenster.ZeigeShellFrame()
        #self.fenster.ZeigeFillingFrame()
        self.TestAnwendung()
        return True

    def TestAnwendung(self):
        """Allein fuer die Testanwendung:"""
        global tisch, stuhl
        tisch=Tisch(80, 20, 120, 60, 0, 'red', True)
        stuhl=Stuhl(30, 30, 40, 40, 270, 'blue', True)

### ---------------------------------------------------
if __name__ == '__main__':
    app = RaumplanerApp(redirect=False)
    # Parameterwert True, wenn Ausgaben in der Standard E/A angezeigt werden sollen
    app.MainLoop()
